Save or clear feedback
POST
Only completed, completed_with_warnings or needs_review jobs accept feedback. Sending feedback shares original text, output and note with Ink to improve and train its models. Text and notes expire after 90 days. Editing does not restart text retention. Clear with {"rating":null}, including without current terms. Only down accepts reasons. Notes allow at most 500 Unicode characters. Bodies allow at most 8,192 bytes. Feedback writes share 30 per minute per user.
Bearerheader
AuthorizationBearer <token>Ink API key from /app/api-keys.
id*stringFormat
uuidapplication/json- body
rating*|nullreasons?array<>Items
items <= 5Default
[]note?string|nullSaved or cleared feedback.
application/json- response
feedback*|nullcreditedWords*integerRange
0 <= valuenote_retention_days*integereligibleForCredit?booleancreditRequiresPaidPlan?booleancurl -X POST 'https://ink.ego.ist/api/v1/rewrites/497f6eca-6276-4993-bfeb-53cbbbba6f08/feedback' \
-H 'Content-Type: application/json' \
-d '{
"rating": "up"
}'Example Response
{
"feedback": {
"rating": "up",
"reasons": [
"string"
],
"note": "string"
},
"creditedWords": 0,
"note_retention_days": 90,
"eligibleForCredit": true,
"creditRequiresPaidPlan": true
}